Package tigase.server

## Class Bootstrap

- java.lang.Object
- - tigase.server.Bootstrap

-     public class Bootstrap
      extends java.lang.Object

  Bootstrap class is responsible for initialization of Kernel to start Tigase XMPP Server.
  Created by andrzej on 05.03.2016.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `Bootstrap.BootstrapShutdownHook` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Bootstrap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `getInstance​(java.lang.Class<T> clazz)` |
    `<T> T` | `getInstance​(java.lang.String beanName)` |
    `protected Kernel` | `getKernel()` |
    `void` | `init​(java.lang.String[] args)` |
    `void` | `setProperties​(java.util.Map<java.lang.String,​java.lang.Object> props)` |
    `void` | `start()` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bootstrap

          public Bootstrap()

  - ### Method Detail

    - #### getInstance

          public <T> T getInstance​(java.lang.String beanName)

    - #### getInstance

          public <T> T getInstance​(java.lang.Class<T> clazz)

    - #### getKernel

          protected Kernel getKernel()

    - #### init

          public void init​(java.lang.String[] args)
                    throws ConfigReader.ConfigException,
                           java.io.IOException

      Throws:
        `ConfigReader.ConfigException`
        `java.io.IOException`

    - #### setProperties

          public void setProperties​(java.util.Map<java.lang.String,​java.lang.Object> props)

    - #### start

          public void start()

    - #### stop

          public void stop()